Bug 809239 - Fix avahi.spec to remove correct ssh.service file
Fix avahi.spec to remove correct ssh.service file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 16:02 EDT by Stef Walter
Modified: 2012-08-24 23:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 09:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Remove the ssh.service file from default install (2.04 KB, patch)
2012-04-02 16:18 EDT, Stef Walter
no flags Details | Diff

  None (edit)
Description Stef Walter 2012-04-02 16:02:43 EDT
The avahi.spec file already contains a command to remove the example ssh.service file. However the path is incorrect, and that's why /etc/avahi/service/ssh.service exists on Fedora systems.

openssh-server isn't installed by default anyway. So we don't want this file installed by default.

This is related to: https://fedoraproject.org/wiki/Desktop/Whiteboards/AvahiDefault

Will attach patch.
Comment 1 Stef Walter 2012-04-02 16:18:08 EDT
Created attachment 574621 [details]
Remove the ssh.service file from default install

Ah, I see the sftp-ssh.service file is actually part of avahi.

In any case, we shouldn't be advertising the ssh service by default if openssh-server isn't installed or running.
Comment 2 Stef Walter 2012-08-06 09:26:46 EDT
Pushed avahi-0.6.31-5.fc18 to rawhide, which fixes this issue.
Comment 3 Fedora Update System 2012-08-09 09:20:58 EDT
avahi-0.6.31-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/avahi-0.6.31-5.fc17
Comment 4 Fedora Update System 2012-08-24 23:04:32 EDT
avahi-0.6.31-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.